QuantLib: Thailand Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

List of all members
Thailand Class Reference
Date and time calculations » Calendars

Thailand calendars More...

`#include <ql/time/calendars/thailand.hpp>`

Inheritance diagram for Thailand:
[legend]

## Additional Inherited Members
Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
const std::set< Date > & | addedHolidays () const
const std::set< Date > & | removedHolidays () const
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
std::vector< Date > | holidayList (const Date &from, const Date &to, bool includeWeekEnds=false) const
std::vector< Date > | businessDayList (const Date &from, const Date &to) const
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const
Static Public Member Functions inherited from Calendar
static QL_DEPRECATED std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
Protected Attributes inherited from Calendar
ext::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Thailand calendars

Holidays for the Thailand exchange Holidays observed by financial institutions (not to be confused with bank holidays in the United Kingdom) are regulated by the Bank of Thailand. If a holiday fall on a weekend the government will annouce a replacement day (usally the following monday).

Sometimes the government add one or two extra holidays in a year.

(data from https://www.bot.or.th/English/FinancialInstitutions/FIholiday/Pages/2018.aspx: Fixed holidays

- Saturdays
- Sundays
- Chakri Memorial Day, April 6th
- Songkran holiday, April 13th - 15th
- Labour Day, May 1st
- H.M. the King's Birthday, July 28th (from 2017)
- H.M. the Queen's Birthday, August 12th
- The Passing of H.M. the Late King Bhumibol Adulyadej (Rama IX), October 13th (from 2017)
- H.M. the Late King Bhumibol Adulyadej's Birthday, December 5th
- Constitution Day, December 10th
- New Year's Eve, December 31th

Other holidays for which no rule is given (data available for 2000-2018 with some years missing)

- Makha Bucha Day
- Wisakha Bucha Day
- Buddhist Lent Day (until 2006)
- Asarnha Bucha Day (from 2007)
- Chulalongkorn Day
- Other special holidays